Apache C++ Standard Library Reference Guide

## uninitialized_copy()

Library: General utilities

    Function

- Local Index
- Summary
- Synopsis
- Description
- Standards Conformance

### Local Index

No Entries

### Summary

A function that initializes a memory range with the contents of another range in memory

### Synopsis

    #include <memory>

    namespace std {
      template <class InputIterator, class ForwardIterator>
      ForwardIterator
      uninitialized_copy(InputIterator start,
                         InputIterator finish,
                         ForwardIterator result);
    }

### Description

The algorithm `uninitialized_copy()` copies all items in the range `[start, finish)` into the location beginning at `result` using placement new.

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 20.4.4.1